- [HTTP request](https://docs.cloud.google.com/gemini-enterprise-cx/cx-agent-studio/reference/rest/v1beta/projects.locations.apps/exportApp#body.HTTP_TEMPLATE)
- [Path parameters](https://docs.cloud.google.com/gemini-enterprise-cx/cx-agent-studio/reference/rest/v1beta/projects.locations.apps/exportApp#body.PATH_PARAMETERS)
- [Request body](https://docs.cloud.google.com/gemini-enterprise-cx/cx-agent-studio/reference/rest/v1beta/projects.locations.apps/exportApp#body.request_body)
  - [JSON representation](https://docs.cloud.google.com/gemini-enterprise-cx/cx-agent-studio/reference/rest/v1beta/projects.locations.apps/exportApp#body.request_body.SCHEMA_REPRESENTATION)
- [Response body](https://docs.cloud.google.com/gemini-enterprise-cx/cx-agent-studio/reference/rest/v1beta/projects.locations.apps/exportApp#body.response_body)
- [Authorization scopes](https://docs.cloud.google.com/gemini-enterprise-cx/cx-agent-studio/reference/rest/v1beta/projects.locations.apps/exportApp#body.aspect)
- [IAM Permissions](https://docs.cloud.google.com/gemini-enterprise-cx/cx-agent-studio/reference/rest/v1beta/projects.locations.apps/exportApp#body.aspect_1)
- [ExportAppRequest.ExportFormat](https://docs.cloud.google.com/gemini-enterprise-cx/cx-agent-studio/reference/rest/v1beta/projects.locations.apps/exportApp#ExportAppRequest.ExportFormat)

Exports the specified app.

### HTTP request

`POST https://ces.googleapis.com/v1beta/{name=projects/*/locations/*/apps/*}:exportApp`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `name` | `string` Required. The resource name of the app to export. |

### Request body

The request body contains data with the following structure:

| JSON representation |
|---|
| ``` { "exportFormat": enum (`https://docs.cloud.google.com/gemini-enterprise-cx/cx-agent-studio/reference/rest/v1beta/projects.locations.apps/exportApp#ExportAppRequest.ExportFormat`), "gcsUri": string, "appVersion": string } ``` |

| Fields ||
|---|---|
| `exportFormat` | ``enum (`https://docs.cloud.google.com/gemini-enterprise-cx/cx-agent-studio/reference/rest/v1beta/projects.locations.apps/exportApp#ExportAppRequest.ExportFormat`)`` Required. The format to export the app in. |
| `gcsUri` | `string` Optional. The [Google Cloud Storage](https://cloud.google.com/storage/docs/) URI to which to export the app. The format of this URI must be `gs://<bucket-name>/<object-name>`. The exported app archive will be written directly to the specified Cloud Storage object. |
| `appVersion` | `string` Optional. The resource name of the app version to export. Format: `projects/{project}/locations/{location}/apps/{app}/versions/{version}`. |

### Response body

If successful, the response body contains an instance of `https://docs.cloud.google.com/gemini-enterprise-cx/cx-agent-studio/reference/rest/v1beta/projects.locations.operations#Operation`.

### Authorization scopes

Requires one of the following OAuth scopes:

- `https://www.googleapis.com/auth/cloud-platform`
- `
  https://www.googleapis.com/auth/ces`

For more information, see the [Authentication Overview](https://docs.cloud.google.com/docs/authentication#authorization-gcp).

### IAM Permissions

Requires the following [IAM](https://cloud.google.com/iam/docs) permission on the `name` resource:

- `ces.apps.export`

For more information, see the [IAM documentation](https://cloud.google.com/iam/docs).

## ExportAppRequest.ExportFormat

Export format for the app.

| Enums ||
|---|---|
| `EXPORT_FORMAT_UNSPECIFIED` | The export format is unspecified. |
| `JSON` | The export format is JSON. |
| `YAML` | The export format is YAML. |